

class RazorPayResponse {
  String status;
  RezorPayData data;

  RazorPayResponse(this.status, this.data);
}

class RezorPayData {
  RazorpaySuccessResponse? _successResponse;
  RazorpayErrorResponse? _errorResponse;

  RezorPayData(this._successResponse, this._errorResponse);
}

/* "razorpay_payment_id": response.razorpay_payment_id,
                      "razorpay_order_id": response.razorpay_order_id,
                      "razorpay_signature": response.razorpay_signature,*/
class RazorpaySuccessResponse {
  String? razorpay_payment_id;
  String? razorpay_order_id;
  String? razorpay_signature;

  RazorpaySuccessResponse(this.razorpay_payment_id, this.razorpay_order_id,
      this.razorpay_signature);
}

/* "code": response.error.code,
                   "description": response.error.description,
                   "source": response.error.source,
                   "step": response.error.step,
                   "reason": response.error.reason,
                   "order_id": response.error.metadata.order_id,
                   "payment_id": response.error.metadata.payment_id,*/
class RazorpayErrorResponse {
  String? code;
  String? description;
  String? source;
  String? step;
  String? reason;
  String? order_id;
  String? payment_id;

  RazorpayErrorResponse(this.code, this.description, this.source, this.step,
      this.reason, this.order_id, this.payment_id);
}

enum StatusConstant {
  SUCCESS,
  MODAL_CLOSED,
  PAYMENT_FAILED,
}

extension UrlExtension on StatusConstant {
  String get value {
    switch (this) {
      case StatusConstant.SUCCESS:
        // TODO: Handle this case.
        return "SUCCESS";
      case StatusConstant.MODAL_CLOSED:
        // TODO: Handle this case.
        return "MODAL_CLOSED";
      case StatusConstant.PAYMENT_FAILED:
        // TODO: Handle this case.
        return "PAYMENT_FAILED";
    }
  }
}
