import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_web_plugins/flutter_web_plugins.dart';
import 'package:rzpayment/callbacks/ResponseListener.dart';
import 'package:rzpayment/model/RazorPayResponse.dart';
import 'package:rzpayment/web/razorpay.dart';

class RzpaymentPlugin {
  static void registerWith(Registrar registrar) {
    final MethodChannel channel = MethodChannel(
      'rzpayment',
      const StandardMethodCodec(),
      registrar.messenger,
    );
    final RzpaymentPlugin instance = RzpaymentPlugin();
    channel.setMethodCallHandler(instance.handleMethodCall);
  }

  RazorPayWeb razorPay = RazorPayWeb(Map<dynamic, dynamic>());
  Future<dynamic> handleMethodCall(MethodCall call) async {
    print(call.method);
    switch (call.method) {
      case "init":
        final Map<dynamic, dynamic> options = call.arguments["options"];
        ResponseListener<RazorPayResponse> listener = call.arguments["callback"];
        // print(options);
        razorPay = RazorPayWeb(options,listener: listener);
        break;
      case "open":
        razorPay.open();
        break;
    }
  }
}
